// components/activity/activity.js
const {
  urlParse
} = require('../../utils/util.js');
const app = getApp();

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    className: String,
    adList: Array
  },

  /**
   * 组件的初始数据
   */
  data: {
    _adList: null,
    autoplay: true,
    interval: 5000,
    selectIndex: 0
  },

  lifetimes: {
    attached: function () {
      const userInfo = wx.getStorageSync("userInfo");
      this.setData({
        _adList: this.properties.adList.map(item => {
          const {
            query,
            url
          } = urlParse(item.appUrl)
          if (parseInt(query.login) == 1 && !userInfo && !userInfo.token) {
            item.url = '/pages/login/login'
            app.globalData.loginSuccessNextUrl = "/pages/index/index"; //用于登录成功刷新界面
          } else {
            item.url = url || ''
          }

          item.query = query || {}
          return item
        }),
        userInfo: userInfo
      })
    }
  },
  methods: {
    onSlideChangeEnd: function (e) {
      if (this.properties.adList.length > 1) {
        this.setData({
          selectIndex: e.detail.current
        })
      } else {
        return false
      }
    }
  }


})